JHipster开发环境安装

本文演示如何在CentOS7上安装Jhipster以及其依赖组件。
这里采用官方推荐的Yarn安装方法,操作系统版本为CentOS 7.4。

1 安装JDK

推荐版本:OpenJDK 1.8.0-64bit。

完整安装说明,请参考这里

2 安装Nodejs

推荐版本: v8.11.3

完整安装说明,请参考这里

3 安装Yarn

推荐版本: v1.12.0

完整安装说明,请参考这里

4 安装JHipster

安装最新版本

$ yarn global add generator-jhipster

升级到最新版本

$ yarn global upgrade generator-jhipster

指定版本安装

$ yarn global add generator-jhipster@v5.1.0

可选安装

安装Yeoman

$ yarn global add yo

安装Maven

推荐版本: 3.5.4

完整安装说明,请参考这里

参考

如果需要在Mac OS X,Windows上安装,或者Docker安装方式,请参考官网的安装文档:https://www.jhipster.tech/installation/

posted @ 2018-07-06 16:53  羽客  阅读(1012)  评论(0编辑  收藏